using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.EntityFrameworkCore;
using FakturyWeb.Data;
using RazorPagesMovie.Models;

namespace FakturyWeb.Pages.Faktury
{
    public class DeleteModel : PageModel
    {
        private readonly FakturyWeb.Data.FakturyWebContext _context;

        public DeleteModel(FakturyWeb.Data.FakturyWebContext context)
        {
            _context = context;
        }

        [BindProperty]
        public FAKTURA FAKTURA { get; set; }

        public async Task<IActionResult> OnGetAsync(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            FAKTURA = await _context.FAKTURA
                .Include(f => f.ZAKAZNIK).FirstOrDefaultAsync(m => m.ID == id);

            if (FAKTURA == null)
            {
                return NotFound();
            }
            return Page();
        }

        public async Task<IActionResult> OnPostAsync(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            FAKTURA = await _context.FAKTURA.FindAsync(id);

            if (FAKTURA != null)
            {
                _context.FAKTURA.Remove(FAKTURA);
                await _context.SaveChangesAsync();
            }

            return RedirectToPage("./Index");
        }
    }
}
